EDIT - bug #7817

Team caches should not show '& al.'
10/11/2018 11:45 AM - Andreas Mdller

Status: Duplicate Start date:
Priority: Highest Due date:
Assignee: Andreas Mller % Done:
Category: cdm Estimated time:

Target version:

Severity: normal Found in Version:

100%
0:00 hour

Description

If a team is fully defined with all members of the team the caches should not show "at al." if the team is larger then 3 (or any other

number).

Otherwise teams can not be distinguished by the cache and they might be selected incorretly.

For this need to adapt the formatter (cache strategies). Team formatter must not have a max member parameter while name
formatter, reference formatter (and others like taxon formatter) need to have a max member parameter (or even a max member and

an etAl-position parameter, depending on the rules how to use etAl at which position).

This requires that the later formatter partly format the teams on their own which is not so good. Alternatively we may introduce new

cache fiels in the teams for caching with and without at al.

Related issues:

Related to EDIT - feature request #7799: AM: Parse authorteams

Related to EDIT - feature request #4311: Improve person representation in CDM
Is duplicate of EDIT - task #9624: Centralize team formatting and fix et al. ...

Is duplicate of EDIT - feature request #9464: Show all team members in agent ...

Resolved
Closed
Closed
Duplicate

History

#1-10/11/2018 11:46 AM - Andreas Miiller
- Related to feature request #7799: AM: Parse authorteams added

#2 - 10/11/2018 11:47 AM - Andreas Miiller

- Related to feature request #4311: Improve person representation in CDM added

#3 - 10/12/2018 09:12 AM - Andreas Miiller

- Subject changed from Team caches should not show at al. to Team caches should not show '& al.'

#4 - 02/14/2019 10:24 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#5 - 02/19/2019 05:26 PM - Andreas Miuller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#6 - 02/19/2019 05:40 PM - Wolf-Henning Kusber

- Tags changed from euro+med to euro+med, phycobank

#7 - 06/11/2021 01:13 PM - Andreas Miiller

- Tags changed from euro+med, phycobank to euro+med, phycobank, formatting
- Status changed from New to Duplicate

- Target version deleted (Reviewed Next Major Release)

- % Done changed from 0 to 100

duplicates #9326, #9464 and #9624
https://dev.e-taxonomy.eu/redmine/issues/9326
https://dev.e-taxonomy.eu/redmine/issues/9464
https://dev.e-taxonomy.eu/redmine/issues/9624

#8 - 06/11/2021 01:14 PM - Andreas Miiller

- Is duplicate of task #9624: Centralize team formatting and fix et al. position handling added

#9 - 06/11/2021 01:14 PM - Andreas Miiller

- Is duplicate of feature request #9464: Show all team members in agent selection dialog added
